package test2;

/**/
import test2.node.*;
import test2.lexer.*;
import test2.parser.*;

import java.io.*;

/**
 * Test2 Caluculator (main).
 *
 * @author  Katsumi Wasaki
 */
public class Main
{
    public static void main(String[] arguments)
    {

        try
        {
	    System.out.println("Type an arithmetic expression:");

	    // Create a Lexer instance. 
            Lexer l = new Lexer(
		      new PushbackReader(
		      new InputStreamReader(System.in), 1024));

	    // Create a Parser instance. 
            Parser p = new Parser(l);

	    // Parse the input. 
	    Start tree = p.parse(); 

	    // Apply the translation. 
            Calculator calc = new Calculator();
            tree.apply(calc);
            System.out.println(" = " + calc.getResult());

        }
        catch(Exception e)
        {
            System.out.println(e.getMessage());
        }
    }
}

